org.apache.poi.xssf.usermodel

## Class XSSFCreationHelper

- java.lang.Object
- - org.apache.poi.xssf.usermodel.XSSFCreationHelper

- All Implemented Interfaces:
    CreationHelper

      public class XSSFCreationHelper
      extends java.lang.Object
      implements CreationHelper

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `XSSFCreationHelper(XSSFWorkbook wb)` Should only be called by `XSSFWorkbook.getCreationHelper()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `AreaReference` | `createAreaReference(CellReference topLeft, CellReference bottomRight)` Creates an area ref from a pair of Cell References..
    `AreaReference` | `createAreaReference(java.lang.String reference)` Creates an AreaReference.
    `XSSFClientAnchor` | `createClientAnchor()` Creates a XSSFClientAnchor.
    `XSSFDataFormat` | `createDataFormat()` Creates a new DataFormat instance
    `XSSFColor` | `createExtendedColor()` Creates a XSSF-style Color object, used for extended sheet formattings and conditional formattings
    `XSSFFormulaEvaluator` | `createFormulaEvaluator()` Creates a XSSFFormulaEvaluator, the object that evaluates formula cells.
    `XSSFHyperlink` | `createHyperlink(HyperlinkType type)` Create a new XSSFHyperlink.
    `XSSFRichTextString` | `createRichTextString(java.lang.String text)` Creates a new XSSFRichTextString for you.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### XSSFCreationHelper

          @Internal
          public XSSFCreationHelper(XSSFWorkbook wb)

      Should only be called by `XSSFWorkbook.getCreationHelper()`
      Parameters:
        `wb` - the workbook to create objects for

  - ### Method Detail

    - #### createRichTextString

          public XSSFRichTextString createRichTextString(java.lang.String text)

      Creates a new XSSFRichTextString for you.
      Specified by:
        `createRichTextString` in interface `CreationHelper`
      Parameters:
        `text` - The text to initialise the RichTextString with

    - #### createDataFormat

          public XSSFDataFormat createDataFormat()

      Description copied from interface: `CreationHelper`
      Creates a new DataFormat instance
      Specified by:
        `createDataFormat` in interface `CreationHelper`

    - #### createExtendedColor

          public XSSFColor createExtendedColor()

      Description copied from interface: `CreationHelper`
      Creates a XSSF-style Color object, used for extended sheet formattings and conditional formattings
      Specified by:
        `createExtendedColor` in interface `CreationHelper`

    - #### createHyperlink

          public XSSFHyperlink createHyperlink(HyperlinkType type)

      Create a new XSSFHyperlink.
      Specified by:
        `createHyperlink` in interface `CreationHelper`
      Parameters:
        `type` - - the type of hyperlink to create, see `Hyperlink`

    - #### createFormulaEvaluator

          public XSSFFormulaEvaluator createFormulaEvaluator()

      Creates a XSSFFormulaEvaluator, the object that evaluates formula cells.
      Specified by:
        `createFormulaEvaluator` in interface `CreationHelper`
      Returns:
        a XSSFFormulaEvaluator instance

    - #### createClientAnchor

          public XSSFClientAnchor createClientAnchor()

      Creates a XSSFClientAnchor. Use this object to position drawing object in a sheet
      Specified by:
        `createClientAnchor` in interface `CreationHelper`
      Returns:
        a XSSFClientAnchor instance
      See Also:
        `Drawing`

    - #### createAreaReference

          public AreaReference createAreaReference(java.lang.String reference)

      Creates an AreaReference.
      Specified by:
        `createAreaReference` in interface `CreationHelper`
      Parameters:
        `reference` - cell reference
      Returns:
        an AreaReference instance

    - #### createAreaReference

          public AreaReference createAreaReference(CellReference topLeft,
                                                   CellReference bottomRight)

      Creates an area ref from a pair of Cell References..
      Specified by:
        `createAreaReference` in interface `CreationHelper`
      Parameters:
        `topLeft` - cell reference
        `bottomRight` - cell reference
      Returns:
        an AreaReference instance

Copyright 2020 The Apache Software Foundation or its licensors, as applicable.